#ifndef USERID_LIST_H
#define USERID_LIST_H

#include "engine.h"

extern player_t players[32];
#define _LISTNAME players
#define _USERIDNAME UserID

//Mark disconnected players with these flags!
#define SF_PLAYER_DISCONNECTED1	(1<<27)
#define SF_PLAYER_DISCONNECTED2 (1<<29)

//Returns new listid!
inline int AddToUserList(int userid)
{
	for(int nmo = 0; nmo < 32; nmo++)
	{
		if (_LISTNAME[nmo]._USERIDNAME==-1) 
		{
			_LISTNAME[nmo]._USERIDNAME=userid; 
			return nmo;
		}
	}
	return -1;
}

inline int GetUserIDByListID(int listid)
{
	if (listid<0 || listid>31) return -1;
	return _LISTNAME[listid]._USERIDNAME;
}

inline int GetListIDByUserID(int userid)
{
	for(int nmo = 0; nmo < 32; nmo++)
	{
		if (_LISTNAME[nmo]._USERIDNAME==userid) 
			return nmo;
	}
	return -1;
}

#endif

